26 lines
751 B
Diff
26 lines
751 B
Diff
|
From 6cc599de01a9835b5128b7b2a869f9f7cf3976fb Mon Sep 17 00:00:00 2001
|
||
|
From: Roland McGrath <roland@redhat.com>
|
||
|
Date: Wed, 9 Sep 2009 11:07:10 -0700
|
||
|
Subject: [PATCH] find-debuginfo.sh: use permissions 444 for all .debug files
|
||
|
|
||
|
Signed-off-by: Roland McGrath <roland@redhat.com>
|
||
|
---
|
||
|
scripts/find-debuginfo.sh | 1 +
|
||
|
1 files changed, 1 insertions(+), 0 deletions(-)
|
||
|
|
||
|
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
|
||
|
index 21366bf..8d86de6 100644
|
||
|
--- a/scripts/find-debuginfo.sh
|
||
|
+++ b/scripts/find-debuginfo.sh
|
||
|
@@ -93,6 +93,7 @@ strip_to_debug()
|
||
|
application/x-sharedlib*) g=-g ;;
|
||
|
esac
|
||
|
eu-strip --remove-comment $g -f "$1" "$2" || exit
|
||
|
+ chmod 444 "$1" || exit
|
||
|
}
|
||
|
|
||
|
# Make a relative symlink to $1 called $3$2
|
||
|
--
|
||
|
1.6.2.5
|
||
|
|